Package org.apache.tomcat.websocket

## Class TransformationFactory

- java.lang.Object
- - org.apache.tomcat.websocket.TransformationFactory

-     public class TransformationFactory
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Transformation` | `create​(String name, List<List<Extension.Parameter>> preferences, boolean isServer)` |
    `static TransformationFactory` | `getInstance()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TransformationFactory getInstance()

    - #### create

          public Transformation create​(String name,
                                       List<List<Extension.Parameter>> preferences,
                                       boolean isServer)